# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "mcp9800/version"

Gem::Specification.new do |spec|
  spec.name          = "mcp9800"
  spec.version       = Mcp9800::VERSION
  spec.authors       = ["Sille Van Landschoot"]
  spec.email         = ["info@sillevl.be"]

  spec.summary       = "MCP 9800 Temperature sensor driver for Ruby"
  spec.description   = "MCP 9800 Temperature sensor driver Ruby"
	spec.homepage      = "https://github.com/sillevl/ruby-mcp9800"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"

	spec.add_dependency "i2c", "~> 0.4"
end
